Subject: Re: Request #279227: How would you rate the support you received?
From: Ashish Dabral <[email-masked]>
To: Talkdesk Inc <[email-masked]>
Cc: saurabh <[email-masked]>
Date: Tue, 8 Jun 2021 00:53:57 -0700 (MST)

Hello Team, 

We are not able to generate token from the given client ID and secret. 

As stated in [ https://github.com/Talkdesk/api/tree/master/reporting-api | https://github.com/Talkdesk/api/tree/master/reporting-api ] we use /auth/token end point but it 404 error. 
And according to [ https://github.com/Talkdesk/api/tree/master/faq | https://github.com/Talkdesk/api/tree/master/faq ] we tried /token as well bu it returns same 404 error. 
And using this [ https://docs.talkdesk.com/docs/client-credentials | https://docs.talkdesk.com/docs/client-credentials ] we are getting unauthorized error. Please let us know which one is correct document and how to use the API to get call reports. 

Regards, 
Ashish Dabral 

From: "Talkdesk Inc" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Sent: Saturday, June 5, 2021 8:31:49 PM 
Subject: Request #279227: How would you rate the support you received? 

##- Please type your reply above this line -## 

Hello Ashish, 

Your ticket has now been closed for 24 hours. If your request is still on-going/issue not resolved, or you require any further assistance simply reply and it will come to our attention. 

If your request is indeed solved then we'd love to hear what you think of our customer service. We kindly ask that you take a moment to respond by clicking either link below and filling in some brief details: 

How would you rate the support you received? 

[ https://support.talkdesk.com/requests/279227/satisfaction/new/bTp1Z2GOb5qnpUcD4C8MjTtpn?locale=1&intention=16 | Good, I'm satisfied ] 

[ https://support.talkdesk.com/requests/279227/satisfaction/new/bTp1Z2GOb5qnpUcD4C8MjTtpn?locale=1&intention=4 | Bad, I'm unsatisfied ] 

Here's a reminder of what your ticket was about: 

			

André Marques (Talkdesk Inc.) 

Jun 4, 2021, 15:27 GMT+1 

Hi Ashish, 

As requested, the credentials have been provisioned and encrypted using your Keybase username ** ashish_lsmindia**. 

To decrypt the credentials, simply go to the Decrypt option in Keybase and paste the following saltpack. 
BEGIN KEYBASE SALTPACK ENCRYPTED MESSAGE. kiS2n6W4XB3QNEC peK0YLJK3LphnZF SdKsNMDvLlsKPMG ATpk60fyAFDOQj2 KFf2zpvrTZZqhvv YFsUYZvtsouFCEp tAlcLA1Msxkppej Poz1YvMRMoo6HSC JJIFbb1fd2sp8Z4 ojRhDk96D7M6WAz MQJCewxfRo6sp8z VhHzSZyFgRwnjyu 4pvomigYTx00c0b hQGZ1En7MaxLUwo 2N4wIhhzhezptKt cLG4ENhojbIBaO3 8yyJGhJVtTeuM4l TUEqhvvR4MqMh41 U3RgrCZS4m4Ylzs Nubfc0JkL3fgnIJ MPjpmWhhh1txA3A DPHDK3ehHbPal7M 5WOKEXnvQCwhPjD iQlt8yoGz6TdHEw ZBqbCeiPRPFCcsH neDKuNcYxX1VMvm WUCMErEYErZVPCi Kff1A0fUiIPH4dz wpdEyhcH30v9KfV PVMYCXemf1iAdFf Gyy5okW2CgpVarl KOJqPoe0D8i5oHb z1Ic12XAIveDInA 1gCxEMuV9GMAzHp C8OW593td6DefqM pmHruiVUqfzlKbO k7LSlHYigmC00mm qO6cUBnWDYHwMlV ulZznkJzsPiYi9k 4vCgfkqT3drU8ni Sf84zuvbH68wTub VgONS24N5APMCKx nGnHTicsZqmHu5l 188eNi4jQx4yD20 F08BrFdUli2Lssg 4QNI840m8629Lll pkcw4T4rsEjd6Sj 1NHDAf5rfe448N6 sXyhj1Y1Z45eqIb fFqLkdDlApqycro 3U68Gb5riBbOzxA w1IVncqS7TMA0n4 ghHVOmvSWBfdvGP egIQzE749ao8qd3 XktB9nOgm07oJRx PWatNbQrVmIrsSE qwVeSuRET5IrIDb BR5tnQNiaI4N7mZ K0u2xQlUvPe1D63 p5TiroS6A4wtQ4w 4TFtTJ0NYIZyJMA NZdYY380ZEIw26r URIrGqrVL3b3QUy 8lbfeUdM16hwwWw JJHfNSgOvPArKgm SFwbIBEPAWYqspc joh6Yr4OrWK5BZ1 uykAN6XnYWjlST2 iAI1sYeVUbohqYS VSifnaC1NeLdLzB ArLb5kO9CkuDG5R OAsPGzc5ajy1bGs JDXsDHsNHwfohsX nIL1Mn1oolHQMyR zMSJnZxA6bHA8Fy TIrX0WCwR6K6wOH fFHJaIWwFpwaxTk fTyXbYKrlCnL653 kAQ3zGXeYB9f2il QIpkuLzo7hL9CCn OsBDQHFKv0lDj8z fxorp6UdnaLrwdL 3fhRKBDuyK3qTl1 Ib0dPcmdomWpmL7 ZxDaDU5qnPJ3Z0x lLakGlXif3vovpf xoZMQykRPvd0Ojs pY5q86rke5I7phc FOpBrZvfpXRFULj MnjXpPSDAZF6n3b JOLhzI1pGpvUFu6 2NVew7E4O1qpZ5z rwb3lO85a0vneMa srJ8F1soAXtRHcs 2iOW6XTysZxrIXv 65HDR8sa33804nY D8cPhPhUoHigJqz oqDhEwFkXgH0qq9 HvRjuCwwrNKHEe8 URMwLx4ulry7LWC drx2yopzC7wmHXE VxNs2U2YQPi8Zvu eLcKPK5hmSNw1T3 r6Kjv5B3SzghH8g VQ7rVRqXovo4T2Q 1dgNqKhHSi7oowd 0f3A76tCHJX61Iq o6FOSSdKJhYztk8 D5rJn174iHaMLe2 aKAzx83HFsMfJkO 0LlIxFTg4232S8i lE3. END KEYBASE SALTPACK ENCRYPTED MESSAGE. 

Once you have the credentials, I would refer you to our Reporting API documentation, which is available [ https://docs.talkdesk.com/docs/reporting-api | here ] . 

@Saurabh, I have provisioned the credentials are you are in CC. Should they be revoked at any point just let me know. 

Have a great weekend! 

Kind Regards, 

André 
Technical Support Engineer 
- Talkdesk Technical Team 

Get Talkdesk Certified! Take our online training courses for Agents, Supervisors and Admins. [ https://academy.talkdesk.com/ | Visit Talkdesk Academy ] 

Get your help request resolved as quickly as possible by [ https://support.talkdesk.com/hc/en-us/articles/209845023-Reaching-out-to-Support-at-Talkdesk | following these simple guidelines ] ! 

You can also call us during office hours: (please have your ticket number ready) 

US: +18887433044 
UK: +442033226242 
PT: +351308806998 

			

Ashish 

Jun 4, 2021, 7:25 GMT+1 

Hello Team, 

Could you please provide the credentials? 

Regards, 
Ashish Dabral 

------------------------------- 

Hello Joao, 

Here is the username - ashish_lsmindia 

Regards, 
Ashish Dabral 

------------------------------- 
From: "Talkdesk Inc" < [ mailto:[email-masked] | [email-masked] ] > 
To: "Ashish Dabral" < [ mailto:[email-masked] | [email-masked] ] > 
Sent: Wednesday, June 2, 2021 8:17:29 PM 
Subject: [Talkdesk Inc.] Re: epos - API Credentials 

			

Ashish 

Jun 3, 2021, 7:09 GMT+1 

Hello Joao, 

Here is the username - ashish_lsmindia 

Regards, 
Ashish Dabral 

------------------------------- 

			

João Duarte (Talkdesk Inc.) 

Jun 2, 2021, 15:47 GMT+1 

Hello Ashish and Saurabh, 

Thank you for getting back to me. 

Saurabh, can you please confirm that I can provide access to Ashish to use our APIs within the epos account? 

Ashish, as per Talkdesk security standards, we are only authorized to provide API credentials using either a Keybase username or a PGP key to encrypt the credentials. 

If you want, you can install the Keybase app on your machine through [ https://keybase.io/ | https://keybase.io/ ] , create a username, and then provide the username so we can proceed with the client provisioning process on our end. 

Let me know if you any additional questions. 

Kind regards, 

João Duarte 
- Technical Support Engineer 
- The Talkdesk Team, Lisbon (UTC) 

Get Talkdesk Certified! Take our online training courses for Agents, Supervisors and Admins. [ http://academy.talkdesk.com/ | Visit Talkdesk Academy ] 

Get your help request resolved as quickly as possible by [ http://support.talkdesk.com/hc/en-us/articles/209845023-Reaching-out-to-Support-at-Talkdesk | following these simple guidelines ] ! 

You can also call us during office hours: (please have your ticket number ready) 

US: +1 888 743 3044 
UK: +44 20 3322 6242 
PT: +351 308 806 998 

			

Ashish 

Jun 2, 2021, 15:38 GMT+1 

Hi Joao, 

Thank you. I have added my manager in CC. 

Could you please let us know from where we can get Keybase username or a PGP Key? 

Regards, 
Ashish Dabral 

------------------------------- 

			

João Duarte (Talkdesk Inc.) 

Jun 2, 2021, 15:22 GMT+1 

Hello Ashish, 

João stepping in. Bruno brought this ticket to my attention. Thank you for your patience. 

I can see that your account is under a Professional Plus license, which gives you access to our Reporting API. 

I can generate a set of credentials for you containing access to our Reporting API. 

You can check our API documentation [ https://docs.talkdesk.com/ | here ] . 

If you would like to discuss your possibilities in regards to having access to our other APIs, we can reach out to your Customer Success Manager, Paula Panikova. 

Also, I can see that you have a Supervisor role for the epos account. Can you please add an Administrator of the account on CC in order to give you permission to access the APIs? 

In order to send you the encrypted credentials to access the Reporting API, can you please provide your Keybase username or a PGP Key? 

Kind regards, 

João Duarte 
- Technical Support Engineer 
- The Talkdesk Team, Lisbon (UTC) 

Get Talkdesk Certified! Take our online training courses for Agents, Supervisors and Admins. [ http://academy.talkdesk.com/ | Visit Talkdesk Academy ] 

Get your help request resolved as quickly as possible by [ http://support.talkdesk.com/hc/en-us/articles/209845023-Reaching-out-to-Support-at-Talkdesk | following these simple guidelines ] ! 

You can also call us during office hours: (please have your ticket number ready) 

US: +1 888 743 3044 
UK: +44 20 3322 6242 
PT: +351 308 806 998 

			

Ashish 

Jun 2, 2021, 14:19 GMT+1 

Hi Bruno, 

Yes for "epos". 

Regards, 
Ashish Dabral 

------------------------------- 

			

Bruno Gomes (Talkdesk Inc.) 

Jun 2, 2021, 14:09 GMT+1 

Hello Ashish, 
Thanks for contacting Talkdesk Support! 

Is this for the "epos" instance? 

Best regards, 

Bruno Gomes 

Technical Support Representative 
- Talkdesk Technical Team 
Get Talkdesk Certified! Take our online training courses for Agents, Supervisors and Admins. [ https://academy.talkdesk.com/ | Visit Talkdesk Academy ] . 
Get your help request resolved as quickly as possible by [ https://support.talkdesk.com/hc/en-us/articles/209845023-Reaching-out-to-Support-at-Talkdesk | following these simple guidelines ] ! 
You can also call us during office hours: (please have your ticket number ready) 
US: +18887433044 
UK: +442033226242 
PT: +351308806998 

			

Ashish 

Jun 2, 2021, 14:07 GMT+1 

Hi Team, 

Could you please provide us API's credentials 
This email is a service from Talkdesk Inc.. Delivered by [ https://www.zendesk.com/support/?utm_campaign=text&utm_content=Talkdesk+Inc.&utm_medium=poweredbyzendesk&utm_source=email-notification | Zendesk ] 
[L75659-5G0K]